Get Integration
curl --request GET \
--url https://api.galileo.ai/v2/integrations/{name} \
--header 'Galileo-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/integrations/{name}"
headers = {"Galileo-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Galileo-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/integrations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"multi_modal_config": {
"max_files": 2,
"max_file_size_bytes": 2
},
"credential_type": "key_secret",
"region": "us-west-2",
"inference_profiles": {},
"id": "<string>",
"name": "aws_bedrock",
"provider": "aws_bedrock",
"extra": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}integrations
Get Integration
Gets the integration data formatted for the specified integration.
GET
/
v2
/
integrations
/
{name}
Get Integration
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Available options:
anthropic, aws_bedrock, aws_sagemaker, azure, custom, databricks, mistral, nvidia, openai, vegas_gateway, vertex_ai, writer Response
Successful Response
- AwsBedrockIntegration
- AwsSageMakerIntegration
- AzureIntegration
- AnthropicIntegration
- CustomIntegration
- DatabricksIntegration
- MistralIntegration
- NvidiaIntegration
- OpenAIIntegration
- VegasGatewayIntegration
- VertexAIIntegration
- WriterIntegration
Configuration for multi-modal (file upload) capabilities.
Show child attributes
Show child attributes
Available options:
assumed_role, key_secret Mapping from model name (Foundation model ID) to inference profile ARN or ID
Show child attributes
Show child attributes
Allowed value:
"aws_bedrock"Allowed value:
"aws_bedrock"Was this page helpful?
⌘I